Skip to main content
PUT
/
product-collections
/
{id}
/
images
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const response = await client.productCollections.updateImages('id');

console.log(response.image_id);
{
  "url": "<string>",
  "image_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Product Collection Id

Query Parameters

force_update
boolean | null

If true, generates a new image ID to force cache invalidation

Response

Aws s3 presigned URL. Upload image to this URL within 60s

url
string
required

Presigned S3 URL for uploading the image

image_id
string<uuid> | null

Optional image ID (present when force_update is true)

Last modified on May 21, 2026